List All Connections
Returns a list of all accessible connections within your Fivetran account.
Request schema
Query parameters
Filter the list to connections belonging to this group. Retrieve group IDs from the List All Groups endpoint.
Filter the list to connections whose schema name matches this value. Partial matches are not supported.
Paging cursor, read more about pagination
Number of records to fetch per page. Accepts a number in the range 1..1000; the default value is 100.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/connections?group_id=group_id&schema=schema&cursor=cursor_value&limit=100 HTTP/1.1 Accept: application/json;version=2 Authorization: BasicHost: api.fivetran.com
Responses
200
Response status code
Response status text
The collection of returned items
The unique identifier for the group within the Fivetran system.
The name for the connector type within the Fivetran system.
The name used both as the connection's name within the Fivetran system and as the source schema's name within your destination.
Specifies whether the connection is paused.
The collection of tasks for the connection
A machine-readable identifier for the warning type (for example: resync_table_warning). Use this value to programmatically detect and respond to specific connection conditions.
A human-readable label describing the warning. For example: Resync Table Warning.
The collection of warnings for the connection
A machine-readable identifier for the warning type (for example: resync_table_warning). Use this value to programmatically detect and respond to specific connection conditions.
A human-readable label describing the warning. For example: Resync Table Warning.
The current setup state of the connection. The available values are:
- incomplete - the setup config is incomplete, the setup tests never succeeded
- connected - the connection is properly set up
- broken - the connection setup config is broken.
Schema status. Returned only for connectors that support Universal Column Masking flow.
The current sync state of the connection. The available values are:
- scheduled - the sync is waiting to be run
- syncing - the sync is currently running
- paused - the sync is currently paused
- rescheduled - the sync is waiting until more API calls are available in the source service.
The current data update state of the connection. The available values are:
- on_schedule - the sync is running smoothly, no delays
- delayed - the data is delayed for a longer time than expected for the update.
The boolean specifying whether the connection should be triggered to re-sync all historical data. If you set this parameter to TRUE, a historical sync starts immediately. If a sync is currently running, it's canceled and restarted as a historical sync. All subsequent syncs after the historical sync completes will be incremental. If the value is FALSE or not specified, the connection doesn't re-sync historical data. This parameter is automatically reset to FALSE once the historical sync is completed.
The UTC timestamp of the next scheduled sync attempt. Non-null only when sync_state is "rescheduled". If schedule_type is manual, the connection expects the sync to be triggered at the designated time through the Sync Connection Data endpoint.
The connection setup configuration.
additional property
The unique identifier for the group within the Fivetran system.
The connector type version within the Fivetran system.
The unique identifier of the user who has created the connection in your account.
The timestamp of when the group was created in your account.
The timestamp of the time the connection sync succeeded last time.
The timestamp of the time the connection sync failed last time.
Specifies whether the connection should be paused after the free trial period has ended.
The connection sync frequency in minutes
The optional parameter that defines the sync start time when the sync frequency is already set or being set by the current request to 1440. It can be specified in one hour increments starting from 00:00 to 23:00. If not specified, we will use the baseline sync start time. This parameter has no effect on the 0 to 60 minutes offset used to determine the actual sync start time.
The connection schedule config type. Supported values: auto, manual. Lets you disable or enable an automatic data sync on a schedule.
Setup tests results
A human-readable name for the setup test step. For example: Validate Login, Test Connection, Check Permissions.
The result of the individual setup test step. Possible values: PASSED, FAILED, SKIPPED.
The result message for the setup test step. For example: Invalid login credentials.
Additional diagnostic information about the setup test result. Populated when the status is FAILED and more context is available beyond the message.
The additional information about the connection's state. The format of this parameter is specific for each connector type.
A short-lived JWT that authorizes the end user to configure this connection via the Connect Card interface. Use the uri field directly to redirect users — it already embeds this token. If you need to construct your own URL, pass this value as the auth query parameter to https://fivetran.com/connect-card/setup.
The complete URL to redirect the end user to in order to authorize the connection. It embeds the auth token, redirect URI, and setup guide visibility as query parameters. Redirect the user directly to this address.
The URI on your site we redirect the end user to after successful setup. The URI must start with the https or http prefix.
An optional parameter that lets you hide the embedded setup guide in the Connect Card.
An optional parameter that lets you show all fields on Connect Card including those that are hidden by default for certain connectors.
Snowflake's virtual warehouse used in the connection
The value of the cursor parameter for the next page
{ "code": "Success", "message": "Connections list retrieved successfully", "data": { "items": [ { "id": "connection_id", "service": "google_sheets", "schema": "gsheets.table", "paused": false, "status": { "tasks": [ { "code": "resync_table_warning", "message": "Resync Table Warning", "details": "string" } ], "warnings": [ { "code": "resync_table_warning", "message": "Resync Table Warning", "details": "string" } ], "setup_state": "connected", "schema_status": "ready", "sync_state": "scheduled", "update_state": "delayed", "is_historical_sync": false, "rescheduled_for": "2024-12-01T15:43:29.013729Z" }, "config": { "property1": {}, "property2": {} }, "group_id": "group_id", "service_version": 0, "connected_by": "user_id", "created_at": "2024-12-01T15:43:29.013729Z", "succeeded_at": "2024-12-01T15:43:29.013729Z", "failed_at": "2024-12-01T15:43:29.013729Z", "pause_after_trial": false, "sync_frequency": 360, "data_delay_threshold": 0, "data_delay_sensitivity": "LOW", "daily_sync_time": "14:00", "schedule_type": "auto", "setup_tests": [ { "title": "Validate Login", "status": "FAILED", "message": "Invalid login credentials.", "details": "Authentication failed (401 Unauthorized). Verify the provided credentials and permissions." } ], "private_link_id": "string", "networking_method": "Directly", "proxy_agent_id": "string", "source_sync_details": {}, "hybrid_deployment_agent_id": "string", "connect_card": { "token": "eyJ0e...", "uri": "https://fivetran.com/connect-card/setup?redirect_uri=https://your.site/path&auth=eyJ0e...&hide_setup_guide=true" }, "connect_card_config": { "redirect_uri": "https://your.site/path", "hide_setup_guide": true, "all_fields": true }, "destination_configuration": { "virtual_warehouse": "virtual_warehouse" }, "destination_schema_names": "FIVETRAN_NAMING" } ], "next_cursor": "cursor_value" } }